module DqAdmin
  class ApplicationController < ActionController::Base
    protect_from_forgery with: :exception

    before_action :require_admin

    private

    def require_admin
      return if is_devise_page?
      return if user_signed_in?
      not_found
    end

    helper_method :is_devise_page?
    def is_devise_page?
      params['controller'] =~ /[sessions|passwords]/ 
    end

    def not_found
      raise ActionController::RoutingError.new('Not Found')
    end
  end
end
