require_dependency "dq_admin/application_controller"

module DqAdmin
  class UsersController < ApplicationController

    before_action :find_user, only: [:update, :edit, :destroy]

    def index
      @users = User.page(params[:page])
    end

    def create
      user = User.create(permit_params)

      if user.errors.any?
        flash[:error] = user.errors
      else 
        redirect_to action: :index
      end
    end

    def new
      @user = User.new
    end

    def update
      @user.update(permit_params.reject {|key, value| value.blank?})

      if @user.errors.any?
        flash[:error] = @user.errors
      else
        redirect_to action: :index
      end
    end

    def edit
    end

    def destroy
      @user.destroy
      if @user.errors.any?
        flash[:error] = @user.errors
      else
        redirect_to action: :index
      end
    end

    private

    def find_user
      @user = User.find(params[:id])
    end

    def permit_params
      params.require(:users).permit(:email, :username, :password, :password_confirmation)
    end
  end
end
